package com.citygis.controller;

import com.citygis.service.UserSynchronousServiceImpl;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.io.IOException;
import java.net.URISyntaxException;

/**
 * @Package com.citygis.controller
 * @Author zyl
 * @Date 2024/1/29 0029 10:35
 * @description: 用户信息同步
 */
@RestController
@CrossOrigin
public class UserController {

    @Resource
    UserSynchronousServiceImpl userSynchronousService;

    @RequestMapping("UserSynchronous")
    public void UserSynchronous() throws URISyntaxException, IOException {
        userSynchronousService.UserSynchronous();
    }

}
