package com.citygis.controller;

import com.citygis.service.DataSourceService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Package com.citygis.controller
 * @Author zyl
 * @Date 2024/1/31 0031 16:19
 * @description: 查询用户
 */
@RestController
@CrossOrigin
public class queryUserController {


    @Resource
    private DataSourceService dataSourceService;

    public void MyController(DataSourceService dataSourceService) {
        this.dataSourceService = dataSourceService;
    }

    @RequestMapping("/ds1")
    public List<Map<String, Object>> queryFromDs1(@RequestParam("name") String name) {
        return dataSourceService.queryFromBM(name);
    }

    @RequestMapping("/ds2")
    public List<Map<String, Object>> queryFromDs2(@RequestParam("name") String name) {
        return dataSourceService.queryFromSZ(name);
    }


    @RequestMapping("/ds3")
    public List<Map<String, Object>> queryFromDs3(@RequestParam("name") String name) {
        return dataSourceService.queryFromBL(name);
    }


    @RequestMapping("/ds4")
    public List<Map<String, Object>> queryFromDs4(@RequestParam("name") String name) {
        return dataSourceService.queryFromGIS(name);
    }

}
